---
title: "Get a compaction"
slug: "get-a-compaction"
updated: 2025-09-26T20:02:37Z
published: 2026-02-10T12:53:32Z
---

> ## Documentation Index
> Fetch the complete documentation index at: https://www.bloxs.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a compaction

Get/api/v1/finance/compactions

Get an existing compaction.

		
			

**Description**

This endpoint retrieves compactions from the financial accounting administration by utilizing the compactions code. The compaction codes are standard available in the Bloxs application and can be configured to some extend.

If the user does not know the correct compaction code, the filter can be used to retrieve all available codes.

**Use Case**

The user wants to retrieve a compaction in order to display its name and the above compaction (parentCode).

**Request****fields**

The request contains the following fields:

| Field | Description |
| --- | --- |
| code | Code for the compaction. |

**Response fields**

The 200 response contains the fields in the table below. For the GET operation it gives a up-to-date insight in the data that is currently registered in Bloxs.

| Field | Description |
| --- | --- |
| code | Code for the compaction. |
| name | Name of the compaction. |
| parentCode | Code of the direct parent compaction. For example, if accounts receivable fall under 'Receivables', which in turn fall under 'Current Assets', this field will return the code of 'Receivables'. |
| lastModified | Timestamp of the last modification within Bloxs (determined by Bloxs). |

		
		
SecurityHTTPType Bearer

Please enter a valid token

Query parameterscodestringRequired

The internal identifier of the model (i.e. Reference, Code, Name, depends on model).

Responses200

OK

<select class='api-response-data' aria-label='Media type'><option value='8b716bc6-daa4-477e-a352-fef0975d0c92'>application/json</option>
</select>object  codestring   | null  Min length0Max length12
namestring   | null  Min length0Max length256
parentCodestring   | null  Min length0Max length12
lastModifiedstring  (date-time)    

404

The requested compaction was not found.
